Synnefo - Bug # 3661

Status: Closed Priority: Medium

Author: Georgios Tsoukalas Category: Cyclades API
Created: 04/24/2013 Assignee: Christos Stavrakakis
Updated: 02/26/2014 Due date:

Subject: cyclades-usage-verify misreports 0 usage as non-existing

Description

In certain occasions, for example when a user has non-zero VMs but 0 Networks,

the following spurious warning is emitted:

#snf-manage cyclades-usage-verify --userid=UUID
Resource network.private exists in QH for UUID but not in DB

Related issues:

related to Synnefo - Feature # 3606: cyclades reset usage --userid should sen...

Closed

04/16/2013

Associated revisions

Revision 39d44eba - 04/30/2013 05:05 pm - Christos Stavrakakis
reconcile-resources: check that user exists in QH

Do not consider 0 usage for users and resources that are not included in
Quotaholder resources list, since Quotaholder returns zero usage for all
users and all resources. If a user/resource does not belong to QH

respond then it can not be an Astakos user.

Refs #3606 #3491 #3661

History

#1 - 05/10/2013 05:24 pm - Georgios Tsoukalas

- Priority changed from Low to Medium
#2 - 05/17/2013 10:43 am - Christos Stavrakakis
- Status changed from New to Feedback

- % Done changed from 0 to 100

#3 - 02/26/2014 05:31 pm - Christos Stavrakakis
- Status changed from Feedback to Closed
